<template>
  <div>
    <Modal
      :closable="false"
      :mask-closable="false"
      v-model="$store.state.ticketitmodalshow"
      width="750"
    >
      <h2 slot="header" class="tc">
        <Icon type="ios-clipboard" />
        <span>{{$t('components.goticket.title')}}</span>
      </h2>
      <div style="display: flex;justify-content: center;">
      <img width="25%" src="~/assets/train-ticket.svg">
      </div>
      <ticketgroup ref="goticketbridge" @outticketbridge="outfun" />
      <div slot="footer">
        <Button type="error" @click="sendfun()">{{$t('personticket.ticketit')}}</Button>
        <Button type="warning" @click="cancel()">{{$t('components.goticket.cancel')}}</Button>
      </div>
    </Modal>
  </div>
</template>

<script>
import ticketgroup from "~/components/ticketpage/ticketgroup.vue"
import { mapMutations } from "vuex";
export default {
  components:{
    ticketgroup
  },
  data() {
    return {
      acount: [],
      train_detial: []
    };
  },
  created() {},
  watch: {
    "$store.getters.ticketitmodaldata.DailyTrainInfo.TrainNo"(val) {
      this.gettraindata(val);
    }
  },
  mounted() {
    this.acount = JSON.parse(localStorage.getItem("logindata"));
  },
  methods: {
    ...mapMutations({
      toggleticketitshow: "toggleticketitshow",
    }),
    async gettraindata(traninno) {
      const train_detial = await this.$axios.$get(
        `GeneralTimetable/TrainNo/${traninno}?$top=1&$format=JSON`
      );
      this.train_detial = train_detial;
    },
    cancel(){
      this.toggleticketitshow();
      this.$refs.goticketbridge.cancel();
    },
    sendfun(){
      this.$refs.goticketbridge.sendticket();
    },
    outfun(){
      this.toggleticketitshow();
    }
  }
};
</script>